%polari nelle varie configurazioni
clc
clear all
close all

Cl=[0 : 1/1000 : 2];
%polare in configurazione pulita
Cd=.0289+.0513*Cl.^2;
plot(Cd,Cl,'y')

%polare con ipersostentatori in configurazione decollo(FAR 23.65)
Cd=.0439+.0545*Cl.^2;
figure(2)
plot(Cd,Cl,'r')
grid on


%polare con ipersostentatori in configurazione atteraggio
Cd=.0939+.0581*Cl.^2;
figure(3)
plot(Cd,Cl,'b')

%polare al decollo con carrello esteso
Cd=.0639+.0545*Cl.^2;
figure(4)
plot(Cd,Cl,'k')

%polare all'atterraggio con carello esteso(FAR 23.77)
Cd=.1139+.0581*Cl.^2;
figure(5)
plot(Cd,Cl,'g')


%polare al decollo con elica ferma in bandiera(FAR 23.67)
Cd=.0339+.0513*Cl.^2;
figure(6)
plot(Cd,Cl,'m')
%per ottenere tale polare si pu sommare un Cdo=0.005 al Cdo
%della polare in configurazione pulita

%tutte le polari sullo stesso grafico
figure(7)
Cd=.0289+.0513*Cl.^2;
plot(Cd,Cl,'y')
hold on
Cd=.0439+.0545*Cl.^2;
plot(Cd,Cl,'r')
Cd=.0939+.0581*Cl.^2;
plot(Cd,Cl,'b')
Cd=.0639+.0545*Cl.^2;
plot(Cd,Cl,'k')
Cd=.1139+.0581*Cl.^2;
plot(Cd,Cl,'g')
Cd=.0339+.0513*Cl.^2;
plot(Cd,Cl,'m')
axis([0 0.3 0 1.5]);

