%Determinazione del punto di progetto di un velivolo
clc
clear all
close all

%Curve di regressione
WsuS=[0 : 1/10 : 100];
Top23=164.44;
sigma=1;
CLmax=1.5;
WsuP=Top23.*sigma.*CLmax./WsuS;
hold on
plot(WsuS,WsuP,'y');
axis([0 30 0 50]);

CLmax=1.7;
WsuP=Top23.*sigma.*CLmax./WsuS;
plot(WsuS,WsuP,'r');

CLmax=1.9;
WsuP=Top23.*sigma.*CLmax./WsuS;
plot(WsuS,WsuP,'b');

%limitazioni da velocit di stallo
%inserire i tre valori di (W/S)to ottenuti dal foglio excel nei plot sottostanti

P=[0 : 1/50 : 150];
for i=1:length(P)
    WsuP(i)=15.23;
end
plot(WsuP,P,'y')
for i=1:length(P)
    WsuP(i)=16.93;
end
plot(WsuP,P,'r')
for i=1:length(P)
    WsuP(i)=18.62;
end
plot(WsuP,P,'b')


%limitazioni relative all'atterraggio
%inserire i tre valori di (W/S)to ottenuti dal foglio excel nei plot sottostanti

for i=1:length(P)
    WsuP(i)=13.77;
end
plot(WsuP,P,'y')
for i=1:length(P)
    WsuP(i)=15.3;
end
plot(WsuP,P,'r')
for i=1:length(P)
    WsuP(i)=16.83;
end
plot(WsuP,P,'b')



%limitazione da FAR23.65 RC>300
WsuS=[0 : 1/10 : 100];
WsuP=158.736./(2.118+(WsuS).^1/2);
plot(WsuS,WsuP,'k')
%limitazione da FAR23.65 CGR>1/12
WsuP=90.051./WsuS.^(1/2);
plot(WsuS,WsuP,'k')
%limitazione da FAR23.77 CGR>1/12
WsuP=93.157./WsuS.^(1/2);
plot(WsuS,WsuP,'k')





%limitazione dovuta alla velocit di crociera
WsuS=[0 : 1/10 : 100];
WsuP=0.85.*WsuS;
plot(WsuS,WsuP,'k');
grid on


