%determinazione del tmin di salita in funzione della quota e inviluppo di volo
clc
clear all
close all

%diagramma z-RC-max(da interpolare linearmente i punti)
z=[0 1500 2743 3600];
RCM=[5.99 2.97 1.96 1.28];
figure(1)
plot(RCM,z)
grid on
axis([0 7 -500 6000])

figure(2)
y=1./RCM;
plot(z,y)



%estensione del RCM fino alla quota di tangenza pratica
tmin(1)=0;
m=length(RCM);
RCM(m+1)=0.5;
z(m+1)=3825;
z(m+2)=4185;
RCM(m+2)=0.01;
y=1./RCM;
for i=1:1:length(y)-1
    tmin(i+1)=tmin(i)+(y(i)+y(i+1))*(z(i+1)-z(i))./2;
end
figure(3)
plot(tmin,z)
axis([0 1800 0 4500])
grid on

%inviluppo di volo
figure(4)
%i graficidi RCM e di tmin in questo graficosono stati adattati ad una diversa scala
%in particolare RCM varia tra [0,6] e tmin tra [0,30 min];
plot(RCM*13.3,z)
hold on
plot(tmin/22.5,z)
axis([0 80 0 4500])
z=[0 1500 2743 3600];
Vbetamax=[36.5 40 42 42.5];
Vzetamax=[44.56 45.2 46.3 47.9];
plot(Vbetamax,z)
plot(Vzetamax,z)
Vstallo=[27.5 29.6 31.55 32.97];
Vmax=[73.47  72.69 72.02 71.57];
plot(Vstallo,z)
plot(Vmax,z)
%rette di tangenza teorica e di tangenza pratica
i=[1/100:1/100:80];
for r=1:8000
    tp(r)=3825;
    tt(r)=4190;
end
plot(i,tp)
hold on
plot(i,tt)
axis([0 80 0 4500])
grid on

%Inviluppo di volo finale
figure(5)
z=[0 1500 2743 3600 4190];
Vbetamax=[36.5 40 42 42.5 48.175];
Vzetamax=[44.56 45.2 46.3 47.9 48.175];
plot(Vzetamax,z)
hold on
plot(Vbetamax,z)
Vstallo=[27.5 29.6 31.55 32.97 48.175];
Vmax=[73.47  72.69 72.02 71.57 48.175];
plot(Vstallo,z)
plot(Vmax,z)
axis([0 80 0 4500])


