clc
clear all
close all

%apertura alare in m
y=[0 4.82];
c=[1.6 1.05];
subplot(2,1,1)
plot(y,c)
axis([0 5 0 2])
Cm=[-0.007 -.014];
subplot(2,1,2)
plot(y,Cm)
axis([0 5 -.02 0])
b=9.64;
S=12.74;

%disegno del beta(AB)
figure(2)
plot(y,c)
CA=[1.2 0.788];
hold on
plot(y,CA,'r')
axis([0 5 -1.6 1.6])


%determinazione della CMA(corda media aerodinamica)
CMA=(c(1).^2+c(2)^2)*b./(2*S)

%determinazione del Cmp(coefficiente di momento del profilo)
CC=Cm.*(c.^2);
Cmp=(CC(1)+CC(2)).*b./(2*CMA*S)

%detrminazione della posizione della corda media aerodinamica
xBAcma=[0 .275];
TT=xBAcma.*c;
XBAcma=(TT(1)+TT(2)).*b./(2*S)

%determinazione della distanza del centro aerodinamico dell'ala dal centro
%aerodinamico del profilo in mezzeria
xCA=[0 .387];
RR=xCA.*c;
XCAala=(RR(1)+RR(2)).*b/(2*S)