clc
clear all
close all

%geometria della fusoliera
x=[0 1 2 3 4 5  6.16  7.08  8.856  11.41  13.88  16.024 18.168 20.312 22.456 24.6];
yinf=[.515 .412 .309 .206 .103 0  0  0  0  0  0 .262 .524 .786 1.048 1.31];
ysup=[1.545 1.688 1.831 1.974 2.117 2.26  3.081  3.732  3.98  3.736  3.5 3.184 2.868 2.552 2.236 1.92];
plot(x,yinf)
hold on
plot(x,ysup)
axis equal
grid on

%disegno delle sezioni
for i=1:length(x)
    Rx(1)=x(i);
    Rx(2)=x(i);
    Ry(1)=yinf(i);
    Ry(2)=ysup(i);
    %prolungamento delle sezioni finoa -10
    Ry(3)=-10;
    Rx(3)=x(i);
    M(i)=(ysup(i)+yinf(i))/2;
    plot(Rx,Ry)
    hold on
end
%linea media
plot(x,M)

%pendenza della linea media
for i=1:length(x)-1
    dM(i)=M(i+1)-M(i);
    dx(i)=x(i+1)-x(i);
    Cy(i)=(M(i+1)+M(i))./2;
    Cx(i)=(x(i+1)+x(i))./2;
end
tang=dM./dx;
Icl=atan(tang)*180./pi;
plot(Cx,Cy,'*')
disp('dx')
disp(dx)
disp('Icl')
disp(Icl)


%disegno derlla forma in pianta
s=[0 5 7.6 13.88 24.6];
w=[.82 1.645 1.85 1.645 0.308];
plot(s,w-5)
hold on
plot(s,-w-5)
axis equal
wd=-[ 4.18 3.97 3.78 3.61 3.47 3.35  3.23  3.155  3.163  3.24  3.35  3.49 3.713 3.99 4.32 4.69 ];
plot(x,wd,'*')
wd=wd+5;

for i=1:length(wd)-1
    wmed(i)=(wd(i+1)+wd(i))./2;
end
disp('wmed')
disp(wmed)


%disegno della forma in pianta della fusoliera e dell'ala
figure(2)
plot(x,wd)
hold on
plot(x,-wd)
axis equal
%disegno delle sezioni
for i=1:length(x)
    Tx(1)=x(i);
    Tx(2)=x(i);
    Ty(1)=wd(i);
    Ty(2)=-wd(i);
    %prolungamento delle sezioni finoa -10
    plot(Tx,Ty)
    hold on
end
grid on









